:root {
	--dark: #191970;
	--medium: #58B3FC;
	--light: #FAF5E9;
	--warning: #CC3300;
}

body {
	padding: 0;
	margin: 0;
	display: grid;
	grid-template-rows: 75px auto;
	grid-template-columns: 220px auto;
	grid-template-areas: 'header   content'
		'sidebar  content'
		'footer   footer';
	background: #cccccc;
}

a,
a:link,
a:visited,
a:hover,
a:active,
a:focus {
	text-decoration: none;
	color: inherit;
	cursor: pointer;
	outline: none;
}

.modal-content {
	background-color: var(--dark);
	color: var(--medium);
}

.error-modal-content {
	background-color: var(--warning);
	color: var(--light);
}

.modal-xl-body {
	height: 75vh;
	overflow: auto;
	padding: 20px;
	margin: 0;
	background-color: var(--light);
	color: var(--dark);
}

.modal-md-body {
	height: 60vh;
	overflow: auto;
	padding: 20px;
	margin: 0;
	background-color: var(--light);
	color: var(--dark);
}

.header {
	grid-area: header;
	background-color: var(--dark);
	color: var(--light);
}

.sidebar {
	grid-area: sidebar;
	background-color: var(--dark);
	color: var(--light);
	text-align: center;
}

.content {
	grid-area: content;
}

.copyright {
	padding: 6px;
	font-style: italic;
	font-size: 0.8em;
}

.copyright a {
	color: var(--medium);
}

.logo {
	max-height: 70px;
	float: left;
}

.logo_text {
	padding: 25px 0;
	font-family: sans-serif;
	font-weight: bold;
}

.menu_padding {
	padding: 6px;
	color: var(--light);
	text-align: center;
	font-family: sans-serif;
	font-weight: bold;
	font-size: 0.9em;
}

.menu_item {
	padding: 6px;
	color: var(--light);
	text-align: center;
	font-family: sans-serif;
	font-weight: bold;
	font-size: 0.9em;
}

.menu_item:hover {
	background-color: var(--medium);
	color: var(--dark);
	cursor: pointer;
}

.menu_spacer {
	margin: 4px 18px 4px 18px;
	border-bottom: 1px solid var(--medium);
}

.menu_spacer_title {
	color: var(--medium);
	font-weight: bold;
	font-size: 1.1em;
}

.table {
	color: var(--dark);
}

.material-switch>input[type="checkbox"] {
	display: none;
}

.material-switch>label {
	cursor: pointer;
	height: 0px;
	position: relative;
	width: 40px;
}

.material-switch>label::before {
	background: rgb(0, 0, 0);
	box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
	border-radius: 8px;
	content: '';
	height: 16px;
	margin-top: -8px;
	position: absolute;
	opacity: 0.3;
	transition: all 0.4s ease-in-out;
	width: 40px;
}

.material-switch>label::after {
	background: rgb(255, 255, 255);
	border-radius: 16px;
	box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
	content: '';
	height: 24px;
	left: -4px;
	margin-top: -8px;
	position: absolute;
	top: -4px;
	transition: all 0.3s ease-in-out;
	width: 24px;
}

.material-switch>input[type="checkbox"]:checked+label::before {
	opacity: 0.8;
}

.material-switch>input[type="checkbox"]:checked+label::after {
	left: 20px;
}

.defined_table_nav {
	background-color: var(--medium);
	border-color: var(--dark);
	color: var(light);
	font-size: 0.85em;
	font-weight: bold;
	text-decoration: none;
	padding: 8px;
}

.defined_table_nav>span {
	padding: 7px 28px 6px 28px;
	white-space: nowrap;
}

.defined_table_nav>span:hover,
.defined_table_nav>span:focus {
	background-color: var(--dark);
	color: var(--medium);
	cursor: pointer;
}

.defined_table_warning {
	color: red;
}

.file_name_link {
	text-decoration: underline;
	color: blue;
	cursor: pointer;
}

@media only screen and (max-width:720px) {
	body {
		background: url(/img/backgrounds/background2.jpg) no-repeat;
		background-size: 100%;
	}
}